Search documentation of wx

# View Source wxAuiPaneInfo (wx v2.4.2)

Functions for wxAuiPaneInfo class

`wxAuiPaneInfo` is part of the wxAUI class framework. See also overview_aui.

`wxAuiPaneInfo` specifies all the parameters for a pane. These parameters specify where the pane is on the screen, whether it is docked or floating, or hidden. In addition, these parameters specify the pane's docked position, floating position, preferred size, minimum size, caption text among many other parameters.

See: `wxAuiManager`, `wxAuiDockArt`

wxWidgets docs: wxAuiPaneInfo

# Summary

## Types

wxAuiPaneInfo()

## Functions

bestSize(This, Size)

`bestSize/3` sets the ideal size for the pane.

bestSize(This, X, Y)
bottom(This)

`bottom/1` sets the pane dock position to the bottom side of the frame.

bottomDockable(This)
bottomDockable/2

`bottomDockable/2` indicates whether a pane can be docked at the bottom of the frame.

caption(This, C)

`caption/2` sets the caption of the pane.

captionVisible(This)
captionVisible/2

CaptionVisible indicates that a pane caption should be visible.

centre(This)

`Center()` (not implemented in wx) sets the pane dock position to the left side of the frame.

centrePane(This)

`centrePane/1` specifies that the pane should adopt the default center pane settings.

closeButton(This)
closeButton/2

`closeButton/2` indicates that a close button should be drawn for the pane.

defaultPane(This)

`defaultPane/1` specifies that the pane should adopt the default pane settings.

destroy(This)

Destroys the object.

destroyOnClose(This)
destroyOnClose/2

`destroyOnClose/2` indicates whether a pane should be destroyed when it is closed.

direction(This, Direction)

`direction/2` determines the direction of the docked pane.

dock(This)

`dock/1` indicates that a pane should be docked.

dockable(This)
dockable/2

`dockable/2` specifies whether a frame can be docked or not.

fixed(This)

`fixed/1` forces a pane to be fixed size so that it cannot be resized.

float(This)

`float/1` indicates that a pane should be floated.

floatable(This)
floatable/2

`floatable/2` sets whether the user will be able to undock a pane and turn it into a floating window.

floatingPosition(This, Pos)

`floatingPosition/3` sets the position of the floating pane.

floatingPosition(This, X, Y)
floatingSize(This, Size)

`floatingSize/3` sets the size of the floating pane.

floatingSize(This, X, Y)
getDirection(This)
getFloatingPosition(This)
getFloatingSize(This)
getFrame(This)
getLayer(This)
getPosition(This)
getRow(This)
getWindow(This)
gripper(This)
gripper/2

`gripper/2` indicates that a gripper should be drawn for the pane.

gripperTop(This)
gripperTop/2

`gripperTop/2` indicates that a gripper should be drawn at the top of the pane.

hasBorder(This)

`hasBorder/1` returns true if the pane displays a border.

hasCaption(This)

`hasCaption/1` returns true if the pane displays a caption.

hasCloseButton(This)

`hasCloseButton/1` returns true if the pane displays a button to close the pane.

hasFlag(This, Flag)

`hasFlag/2` returns true if the property specified by flag is active for the pane.

hasGripper(This)

`hasGripper/1` returns true if the pane displays a gripper.

hasGripperTop(This)

`hasGripper/1` returns true if the pane displays a gripper at the top.

hasMaximizeButton(This)

`hasMaximizeButton/1` returns true if the pane displays a button to maximize the pane.

hasMinimizeButton(This)

`hasMinimizeButton/1` returns true if the pane displays a button to minimize the pane.

hasPinButton(This)

`hasPinButton/1` returns true if the pane displays a button to float the pane.

hide(This)

`hide/1` indicates that a pane should be hidden.

isBottomDockable(This)

`isBottomDockable/1` returns true if the pane can be docked at the bottom of the managed frame.

isDocked(This)

`isDocked/1` returns true if the pane is currently docked.

isFixed(This)

`isFixed/1` returns true if the pane cannot be resized.

isFloatable(This)

`isFloatable/1` returns true if the pane can be undocked and displayed as a floating window.

isFloating(This)

`isFloating/1` returns true if the pane is floating.

isLeftDockable(This)

`isLeftDockable/1` returns true if the pane can be docked on the left of the managed frame.

isMovable(This)

IsMoveable() returns true if the docked frame can be undocked or moved to another dock position.

isOk(This)

`isOk/1` returns true if the `wxAuiPaneInfo` structure is valid.

isResizable(This)

`isResizable/1` returns true if the pane can be resized.

isRightDockable(This)

`isRightDockable/1` returns true if the pane can be docked on the right of the managed frame.

isShown(This)

`isShown/1` returns true if the pane is currently shown.

isToolbar(This)

`isToolbar/1` returns true if the pane contains a toolbar.

isTopDockable(This)

`isTopDockable/1` returns true if the pane can be docked at the top of the managed frame.

layer(This, Layer)

`layer/2` determines the layer of the docked pane.

left(This)

`left/1` sets the pane dock position to the left side of the frame.

leftDockable(This)
leftDockable/2

`leftDockable/2` indicates whether a pane can be docked on the left of the frame.

maximizeButton(This)
maximizeButton/2

`maximizeButton/2` indicates that a maximize button should be drawn for the pane.

maxSize(This, Size)

`maxSize/3` sets the maximum size of the pane.

maxSize(This, X, Y)
minimizeButton(This)
minimizeButton/2

`minimizeButton/2` indicates that a minimize button should be drawn for the pane.

minSize(This, Size)

`minSize/3` sets the minimum size of the pane.

minSize(This, X, Y)
movable(This)
movable/2

Movable indicates whether a frame can be moved.

name(This, N)

`name/2` sets the name of the pane so it can be referenced in lookup functions.

new()
new(C)

Copy constructor.

paneBorder(This)
paneBorder/2

PaneBorder indicates that a border should be drawn for the pane.

pinButton(This)
pinButton/2

`pinButton/2` indicates that a pin button should be drawn for the pane.

position(This, Pos)

`position/2` determines the position of the docked pane.

resizable(This)
resizable/2

`resizable/2` allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false.

right(This)

`right/1` sets the pane dock position to the right side of the frame.

rightDockable(This)
rightDockable/2

`rightDockable/2` indicates whether a pane can be docked on the right of the frame.

row(This, Row)

`row/2` determines the row of the docked pane.

safeSet(This, Source)

Write the safe parts of a PaneInfo object "source" into "this".

setFlag(This, Flag, Option_state)

`setFlag/3` turns the property given by flag on or off with the option_state parameter.

show(This)
show/2

`show/2` indicates that a pane should be shown.

toolbarPane(This)

`toolbarPane/1` specifies that the pane should adopt the default toolbar pane settings.

top(This)

`top/1` sets the pane dock position to the top of the frame.

topDockable(This)
topDockable/2

`topDockable/2` indicates whether a pane can be docked at the top of the frame.

window(This, W)

`window/2` assigns the window pointer that the `wxAuiPaneInfo` should use.

# Types

Link to this type

# wxAuiPaneInfo()

View Source

    -type wxAuiPaneInfo() :: wx:wx_object().

# Functions

Link to this function

# bestSize(This, Size)

View Source

    -spec bestSize(This, Size) -> wxAuiPaneInfo()
                      when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`bestSize/3` sets the ideal size for the pane.

The docking manager will attempt to use this size as much as possible when docking or floating the pane.

Link to this function

# bestSize(This, X, Y)

View Source

    -spec bestSize(This, X, Y) -> wxAuiPaneInfo()
                      when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

Link to this function

# bottom(This)

View Source

    -spec bottom(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`bottom/1` sets the pane dock position to the bottom side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_BOTTOM).

Link to this function

# bottomDockable(This)

View Source

    -spec bottomDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# bottomDockable/2

View Source

    -spec bottomDockable(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`bottomDockable/2` indicates whether a pane can be docked at the bottom of the frame.

Link to this function

# caption(This, C)

View Source

    -spec caption(This, C) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), C :: unicode:chardata().

`caption/2` sets the caption of the pane.

Link to this function

# captionVisible(This)

View Source

    -spec captionVisible(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# captionVisible/2

View Source

    -spec captionVisible(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

CaptionVisible indicates that a pane caption should be visible.

If false, no pane caption is drawn.

Link to this function

# centre(This)

View Source

    -spec centre(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`Center()` (not implemented in wx) sets the pane dock position to the left side of the frame.

The centre pane is the space in the middle after all border panes (left, top, right, bottom) are subtracted from the layout. This is the same thing as calling Direction(wxAUI_DOCK_CENTRE).

Link to this function

# centrePane(This)

View Source

    -spec centrePane(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`centrePane/1` specifies that the pane should adopt the default center pane settings.

Centre panes usually do not have caption bars. This function provides an easy way of preparing a pane to be displayed in the center dock position.

Link to this function

# closeButton(This)

View Source

    -spec closeButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# closeButton/2

View Source

    -spec closeButton(This, [Option]) -> wxAuiPaneInfo()
                         when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`closeButton/2` indicates that a close button should be drawn for the pane.

Link to this function

# defaultPane(This)

View Source

    -spec defaultPane(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`defaultPane/1` specifies that the pane should adopt the default pane settings.

Link to this function

# destroy(This)

View Source

    -spec destroy(This :: wxAuiPaneInfo()) -> ok.

Destroys the object.

Link to this function

# destroyOnClose(This)

View Source

    -spec destroyOnClose(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# destroyOnClose/2

View Source

    -spec destroyOnClose(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`destroyOnClose/2` indicates whether a pane should be destroyed when it is closed.

Normally a pane is simply hidden when the close button is clicked. Setting DestroyOnClose to true will cause the window to be destroyed when the user clicks the pane's close button.

Link to this function

# direction(This, Direction)

View Source

    -spec direction(This, Direction) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Direction :: integer().

`direction/2` determines the direction of the docked pane.

It is functionally the same as calling `left/1`, `right/1`, `top/1` or `bottom/1`, except that docking direction may be specified programmatically via the parameter.

Link to this function

# dock(This)

View Source

    -spec dock(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`dock/1` indicates that a pane should be docked.

It is the opposite of `float/1`.

Link to this function

# dockable(This)

View Source

    -spec dockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# dockable/2

View Source

    -spec dockable(This, [Option]) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`dockable/2` specifies whether a frame can be docked or not.

It is the same as specifying TopDockable(b).BottomDockable(b).LeftDockable(b).RightDockable(b).

Link to this function

# fixed(This)

View Source

    -spec fixed(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`fixed/1` forces a pane to be fixed size so that it cannot be resized.

After calling `fixed/1`, `isFixed/1` will return true.

Link to this function

# float(This)

View Source

    -spec float(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`float/1` indicates that a pane should be floated.

It is the opposite of `dock/1`.

Link to this function

# floatable(This)

View Source

    -spec floatable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# floatable/2

View Source

    -spec floatable(This, [Option]) -> wxAuiPaneInfo()
                       when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`floatable/2` sets whether the user will be able to undock a pane and turn it into a floating window.

Link to this function

# floatingPosition(This, Pos)

View Source

    -spec floatingPosition(This, Pos) -> wxAuiPaneInfo()
                              when This :: wxAuiPaneInfo(), Pos :: {X :: integer(), Y :: integer()}.

`floatingPosition/3` sets the position of the floating pane.

Link to this function

# floatingPosition(This, X, Y)

View Source

    -spec floatingPosition(This, X, Y) -> wxAuiPaneInfo()
                              when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

Link to this function

# floatingSize(This, Size)

View Source

    -spec floatingSize(This, Size) -> wxAuiPaneInfo()
                          when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`floatingSize/3` sets the size of the floating pane.

Link to this function

# floatingSize(This, X, Y)

View Source

    -spec floatingSize(This, X, Y) -> wxAuiPaneInfo()
                          when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

Link to this function

# getDirection(This)

View Source

    -spec getDirection(This) -> integer() when This :: wxAuiPaneInfo().

Link to this function

# getFloatingPosition(This)

View Source

    -spec getFloatingPosition(This) -> {X :: integer(), Y :: integer()} when This :: wxAuiPaneInfo().

Link to this function

# getFloatingSize(This)

View Source

    -spec getFloatingSize(This) -> {W :: integer(), H :: integer()} when This :: wxAuiPaneInfo().

Link to this function

# getFrame(This)

View Source

    -spec getFrame(This) -> wxFrame:wxFrame() when This :: wxAuiPaneInfo().

Link to this function

# getLayer(This)

View Source

    -spec getLayer(This) -> integer() when This :: wxAuiPaneInfo().

Link to this function

# getPosition(This)

View Source

    -spec getPosition(This) -> integer() when This :: wxAuiPaneInfo().

Link to this function

# getRow(This)

View Source

    -spec getRow(This) -> integer() when This :: wxAuiPaneInfo().

Link to this function

# getWindow(This)

View Source

    -spec getWindow(This) -> wxWindow:wxWindow() when This :: wxAuiPaneInfo().

Link to this function

# gripper(This)

View Source

    -spec gripper(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# gripper/2

View Source

    -spec gripper(This, [Option]) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`gripper/2` indicates that a gripper should be drawn for the pane.

Link to this function

# gripperTop(This)

View Source

    -spec gripperTop(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# gripperTop/2

View Source

    -spec gripperTop(This, [Option]) -> wxAuiPaneInfo()
                        when This :: wxAuiPaneInfo(), Option :: {attop, boolean()}.

`gripperTop/2` indicates that a gripper should be drawn at the top of the pane.

Link to this function

# hasBorder(This)

View Source

    -spec hasBorder(This) -> boolean() when This :: wxAuiPaneInfo().

`hasBorder/1` returns true if the pane displays a border.

Link to this function

# hasCaption(This)

View Source

    -spec hasCaption(This) -> boolean() when This :: wxAuiPaneInfo().

`hasCaption/1` returns true if the pane displays a caption.

Link to this function

# hasCloseButton(This)

View Source

    -spec hasCloseButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasCloseButton/1` returns true if the pane displays a button to close the pane.

Link to this function

# hasFlag(This, Flag)

View Source

    -spec hasFlag(This, Flag) -> boolean() when This :: wxAuiPaneInfo(), Flag :: integer().

`hasFlag/2` returns true if the property specified by flag is active for the pane.

Link to this function

# hasGripper(This)

View Source

    -spec hasGripper(This) -> boolean() when This :: wxAuiPaneInfo().

`hasGripper/1` returns true if the pane displays a gripper.

Link to this function

# hasGripperTop(This)

View Source

    -spec hasGripperTop(This) -> boolean() when This :: wxAuiPaneInfo().

`hasGripper/1` returns true if the pane displays a gripper at the top.

Link to this function

# hasMaximizeButton(This)

View Source

    -spec hasMaximizeButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasMaximizeButton/1` returns true if the pane displays a button to maximize the pane.

Link to this function

# hasMinimizeButton(This)

View Source

    -spec hasMinimizeButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasMinimizeButton/1` returns true if the pane displays a button to minimize the pane.

Link to this function

# hasPinButton(This)

View Source

    -spec hasPinButton(This) -> boolean() when This :: wxAuiPaneInfo().

`hasPinButton/1` returns true if the pane displays a button to float the pane.

Link to this function

# hide(This)

View Source

    -spec hide(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`hide/1` indicates that a pane should be hidden.

Link to this function

# isBottomDockable(This)

View Source

    -spec isBottomDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isBottomDockable/1` returns true if the pane can be docked at the bottom of the managed frame.

See: `IsDockable()` (not implemented in wx)

Link to this function

# isDocked(This)

View Source

    -spec isDocked(This) -> boolean() when This :: wxAuiPaneInfo().

`isDocked/1` returns true if the pane is currently docked.

Link to this function

# isFixed(This)

View Source

    -spec isFixed(This) -> boolean() when This :: wxAuiPaneInfo().

`isFixed/1` returns true if the pane cannot be resized.

Link to this function

# isFloatable(This)

View Source

    -spec isFloatable(This) -> boolean() when This :: wxAuiPaneInfo().

`isFloatable/1` returns true if the pane can be undocked and displayed as a floating window.

Link to this function

# isFloating(This)

View Source

    -spec isFloating(This) -> boolean() when This :: wxAuiPaneInfo().

`isFloating/1` returns true if the pane is floating.

Link to this function

# isLeftDockable(This)

View Source

    -spec isLeftDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isLeftDockable/1` returns true if the pane can be docked on the left of the managed frame.

See: `IsDockable()` (not implemented in wx)

Link to this function

# isMovable(This)

View Source

    -spec isMovable(This) -> boolean() when This :: wxAuiPaneInfo().

IsMoveable() returns true if the docked frame can be undocked or moved to another dock position.

Link to this function

# isOk(This)

View Source

    -spec isOk(This) -> boolean() when This :: wxAuiPaneInfo().

`isOk/1` returns true if the `wxAuiPaneInfo` structure is valid.

A pane structure is valid if it has an associated window.

Link to this function

# isResizable(This)

View Source

    -spec isResizable(This) -> boolean() when This :: wxAuiPaneInfo().

`isResizable/1` returns true if the pane can be resized.

Link to this function

# isRightDockable(This)

View Source

    -spec isRightDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isRightDockable/1` returns true if the pane can be docked on the right of the managed frame.

See: `IsDockable()` (not implemented in wx)

Link to this function

# isShown(This)

View Source

    -spec isShown(This) -> boolean() when This :: wxAuiPaneInfo().

`isShown/1` returns true if the pane is currently shown.

Link to this function

# isToolbar(This)

View Source

    -spec isToolbar(This) -> boolean() when This :: wxAuiPaneInfo().

`isToolbar/1` returns true if the pane contains a toolbar.

Link to this function

# isTopDockable(This)

View Source

    -spec isTopDockable(This) -> boolean() when This :: wxAuiPaneInfo().

`isTopDockable/1` returns true if the pane can be docked at the top of the managed frame.

See: `IsDockable()` (not implemented in wx)

Link to this function

# layer(This, Layer)

View Source

    -spec layer(This, Layer) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Layer :: integer().

`layer/2` determines the layer of the docked pane.

The dock layer is similar to an onion, the inner-most layer being layer 0. Each shell moving in the outward direction has a higher layer number. This allows for more complex docking layout formation.

Link to this function

# left(This)

View Source

    -spec left(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`left/1` sets the pane dock position to the left side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_LEFT).

Link to this function

# leftDockable(This)

View Source

    -spec leftDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# leftDockable/2

View Source

    -spec leftDockable(This, [Option]) -> wxAuiPaneInfo()
                          when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`leftDockable/2` indicates whether a pane can be docked on the left of the frame.

Link to this function

# maximizeButton(This)

View Source

    -spec maximizeButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# maximizeButton/2

View Source

    -spec maximizeButton(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`maximizeButton/2` indicates that a maximize button should be drawn for the pane.

Link to this function

# maxSize(This, Size)

View Source

    -spec maxSize(This, Size) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`maxSize/3` sets the maximum size of the pane.

Link to this function

# maxSize(This, X, Y)

View Source

    -spec maxSize(This, X, Y) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

Link to this function

# minimizeButton(This)

View Source

    -spec minimizeButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# minimizeButton/2

View Source

    -spec minimizeButton(This, [Option]) -> wxAuiPaneInfo()
                            when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`minimizeButton/2` indicates that a minimize button should be drawn for the pane.

Link to this function

# minSize(This, Size)

View Source

    -spec minSize(This, Size) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Size :: {W :: integer(), H :: integer()}.

`minSize/3` sets the minimum size of the pane.

Please note that this is only partially supported as of this writing.

Link to this function

# minSize(This, X, Y)

View Source

    -spec minSize(This, X, Y) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), X :: integer(), Y :: integer().

Link to this function

# movable(This)

View Source

    -spec movable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# movable/2

View Source

    -spec movable(This, [Option]) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

Movable indicates whether a frame can be moved.

Link to this function

# name(This, N)

View Source

    -spec name(This, N) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), N :: unicode:chardata().

`name/2` sets the name of the pane so it can be referenced in lookup functions.

If a name is not specified by the user, a random name is assigned to the pane when it is added to the manager.

Link to this function

# new()

View Source

    -spec new() -> wxAuiPaneInfo().

Link to this function

# new(C)

View Source

    -spec new(C) -> wxAuiPaneInfo() when C :: wxAuiPaneInfo().

Copy constructor.

Link to this function

# paneBorder(This)

View Source

    -spec paneBorder(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# paneBorder/2

View Source

    -spec paneBorder(This, [Option]) -> wxAuiPaneInfo()
                        when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

PaneBorder indicates that a border should be drawn for the pane.

Link to this function

# pinButton(This)

View Source

    -spec pinButton(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# pinButton/2

View Source

    -spec pinButton(This, [Option]) -> wxAuiPaneInfo()
                       when This :: wxAuiPaneInfo(), Option :: {visible, boolean()}.

`pinButton/2` indicates that a pin button should be drawn for the pane.

Link to this function

# position(This, Pos)

View Source

    -spec position(This, Pos) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Pos :: integer().

`position/2` determines the position of the docked pane.

Link to this function

# resizable(This)

View Source

    -spec resizable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# resizable/2

View Source

    -spec resizable(This, [Option]) -> wxAuiPaneInfo()
                       when This :: wxAuiPaneInfo(), Option :: {resizable, boolean()}.

`resizable/2` allows a pane to be resized if the parameter is true, and forces it to be a fixed size if the parameter is false.

This is simply an antonym for `fixed/1`.

Link to this function

# right(This)

View Source

    -spec right(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`right/1` sets the pane dock position to the right side of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_RIGHT).

Link to this function

# rightDockable(This)

View Source

    -spec rightDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# rightDockable/2

View Source

    -spec rightDockable(This, [Option]) -> wxAuiPaneInfo()
                           when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`rightDockable/2` indicates whether a pane can be docked on the right of the frame.

Link to this function

# row(This, Row)

View Source

    -spec row(This, Row) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Row :: integer().

`row/2` determines the row of the docked pane.

Link to this function

# safeSet(This, Source)

View Source

    -spec safeSet(This, Source) -> ok when This :: wxAuiPaneInfo(), Source :: wxAuiPaneInfo().

Write the safe parts of a PaneInfo object "source" into "this".

"Safe parts" are all non-UI elements (e.g. all layout determining parameters like the size, position etc.). "Unsafe parts" (pointers to button, frame and window) are not modified by this write operation.

Remark: This method is used when loading perspectives.

Link to this function

# setFlag(This, Flag, Option_state)

View Source

    -spec setFlag(This, Flag, Option_state) -> wxAuiPaneInfo()
                     when This :: wxAuiPaneInfo(), Flag :: integer(), Option_state :: boolean().

`setFlag/3` turns the property given by flag on or off with the option_state parameter.

Link to this function

# show(This)

View Source

    -spec show(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# show/2

View Source

    -spec show(This, [Option]) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), Option :: {show, boolean()}.

`show/2` indicates that a pane should be shown.

Link to this function

# toolbarPane(This)

View Source

    -spec toolbarPane(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`toolbarPane/1` specifies that the pane should adopt the default toolbar pane settings.

Link to this function

# top(This)

View Source

    -spec top(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

`top/1` sets the pane dock position to the top of the frame.

This is the same thing as calling Direction(wxAUI_DOCK_TOP).

Link to this function

# topDockable(This)

View Source

    -spec topDockable(This) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo().

Link to this function

# topDockable/2

View Source

    -spec topDockable(This, [Option]) -> wxAuiPaneInfo()
                         when This :: wxAuiPaneInfo(), Option :: {b, boolean()}.

`topDockable/2` indicates whether a pane can be docked at the top of the frame.

Link to this function

# window(This, W)

View Source

    -spec window(This, W) -> wxAuiPaneInfo() when This :: wxAuiPaneInfo(), W :: wxWindow:wxWindow().

`window/2` assigns the window pointer that the `wxAuiPaneInfo` should use.

This normally does not need to be specified, as the window pointer is automatically assigned to the `wxAuiPaneInfo` structure as soon as it is added to the manager.